
package rankingimagenes;

import java.util.ArrayList;
import javax.swing.JFrame;

/**
 *
 * @author Diego Vazquez Blanco
 */
public class PresentacionesStateMachine {
    
    private JFrame currentState;
    
    public PresentacionesStateMachine() {
        java.awt.EventQueue.invokeLater(
        new Runnable() {
            public void run() {
                // se crea vistaPrincipal y se hace visible
                currentState = new PresentacionPrincipal();
                currentState.setVisible(true);
            }
        });
    }
    
    public void mostrarRanking(ArrayList<ArrayList> array_seleccionadas, String algoritmo) {
        currentState.dispose(); // se destruye vistaPrincipal
        
        java.awt.EventQueue.invokeLater(
        new Runnable() {
            public void run() {
                // se crea vistaRanking y se hace visible
                currentState = new PresentacionRanking(array_seleccionadas, algoritmo); 
                currentState.setVisible(true);
            }
        });
    }
    
    public void close() {
        currentState.dispose(); // se destruye la vista en curso
    }
     
}
